| IITkaGyan v0.9 A platform for students to ask their doubts to IITians directly...

Public Member Functions | Static Public Attributes | List of all members
gyans.views.QuestionCreate Class Reference
Inheritance diagram for gyans.views.QuestionCreate:

## Public Member Functions
def | get (self, request, *args, **kwargs)
def | post (self, request, *args, **kwargs)

## Static Public Attributes
| model = Question,MyQuestion
list | fields = ['question_text']

## Detailed Description

    View for the Question Form only for the normal user.

## Member Function Documentation

## ◆ get()

def gyans.views.QuestionCreate.get | ( |  | self,
|  |  | request,
|  | * | args,
|  | ** | kwargs
| ) |  |

## ◆ post()

def gyans.views.QuestionCreate.post | ( |  | self,
|  |  | request,
|  | * | args,
|  | ** | kwargs
| ) |  |

## Member Data Documentation

## ◆ fields

list gyans.views.QuestionCreate.fields = ['question_text']
| static

## ◆ model

gyans.views.QuestionCreate.model = Question,MyQuestion
| static

The documentation for this class was generated from the following file:

- IITKaGyan/gyans/views.py